> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve a list of published ATS email templates

GET https://api.letsdeel.com/rest/ats/email-templates

Lists the published email templates of the organization. Use it to see which templates exist, or to keep a local copy in sync by fetching only those updated since your last check. Drafts and template bodies are not included.

 **Token scopes**: `ats:read`, `worker:read`

Reference: https://developer.deel.com/api/reference/endpoints/ats-email-templates/retrieve-a-list-of-published-ats-email-templates-v-2026-02-11

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `cursor` (string, optional) — Cursor for pagination. Use the nextCursor value from the previous response to get the next page of results.
- `limit` (integer, optional, default: 20) — Maximum number of email templates to return per page
- `updated_after` (string, optional) — Return only email templates that were updated after this timestamp (ISO 8601 format)

## Response

### 200

Successfully retrieved email templates

- `data` (list of AtsEmailTemplatesGetResponsesContentApplicationJsonSchemaDataItems, required) — Page of email templates.
- `has_more` (boolean, required) — Whether more pages are available.
- `next_cursor` (string, required, nullable) — Cursor to fetch the next page; null when there are no more pages.
- `total_count` (integer, required) — Total number of email templates matching filters.

## Errors

### 400 Bad Request Error

Invalid query parameters

- `error` (string, optional)
- `message` (list of string, optional)
- `statusCode` (double, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Forbidden. ATS is not enabled for this organization or insufficient permissions.

- `errors` (list of AtsEmailTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of AtsEmailTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

## Types

### AtsEmailTemplatesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Email template unique identifier
- `title` (string, required) — Email template title
- `created_at` (string, required) — Timestamp of when the email template was created
- `updated_at` (string, required) — Timestamp of when the email template was last updated

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### AtsEmailTemplatesGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code
- `message` (string, required) — Human-readable error message
- `field` (string, optional) — Request field related to the error, if applicable

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "f9cdb75b-1314-42fc-96b4-e6168fd73ed8",
      "title": "Default Offer Email Template",
      "created_at": "2025-09-17T13:33:04.523Z",
      "updated_at": "2025-09-17T13:33:04.523Z"
    }
  ],
  "has_more": false,
  "next_cursor": "eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wOS0xN1QxMzozMzowNC41MjNaIiwibGFzdElkIjoiYWZmZjRhMzAtMWY0ZS00NTMyLTk0MDItNGJmODk2NDFkMjE4In0=",
  "total_count": 4
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/ats/email-templates"

querystring = {"cursor":"eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wNi0xOFQwOToxNzoyMi40NDFaIiwibGFzdElkIjoiMWVhOTlmMzYtZWEzYy00N2QyLWI3NDAtNmFkNTM2ZjU4OTI4In0=","limit":"25","updated_after":"2025-06-18T00:00:00.000Z"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/ats/email-templates?cursor=eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wNi0xOFQwOToxNzoyMi40NDFaIiwibGFzdElkIjoiMWVhOTlmMzYtZWEzYy00N2QyLWI3NDAtNmFkNTM2ZjU4OTI4In0%3D&limit=25&updated_after=2025-06-18T00%3A00%3A00.000Z';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/ats/email-templates?cursor=eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wNi0xOFQwOToxNzoyMi40NDFaIiwibGFzdElkIjoiMWVhOTlmMzYtZWEzYy00N2QyLWI3NDAtNmFkNTM2ZjU4OTI4In0%3D&limit=25&updated_after=2025-06-18T00%3A00%3A00.000Z"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/ats/email-templates?cursor=eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wNi0xOFQwOToxNzoyMi40NDFaIiwibGFzdElkIjoiMWVhOTlmMzYtZWEzYy00N2QyLWI3NDAtNmFkNTM2ZjU4OTI4In0%3D&limit=25&updated_after=2025-06-18T00%3A00%3A00.000Z")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/ats/email-templates?cursor=eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wNi0xOFQwOToxNzoyMi40NDFaIiwibGFzdElkIjoiMWVhOTlmMzYtZWEzYy00N2QyLWI3NDAtNmFkNTM2ZjU4OTI4In0%3D&limit=25&updated_after=2025-06-18T00%3A00%3A00.000Z")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/ats/email-templates?cursor=eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wNi0xOFQwOToxNzoyMi40NDFaIiwibGFzdElkIjoiMWVhOTlmMzYtZWEzYy00N2QyLWI3NDAtNmFkNTM2ZjU4OTI4In0%3D&limit=25&updated_after=2025-06-18T00%3A00%3A00.000Z', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/ats/email-templates?cursor=eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wNi0xOFQwOToxNzoyMi40NDFaIiwibGFzdElkIjoiMWVhOTlmMzYtZWEzYy00N2QyLWI3NDAtNmFkNTM2ZjU4OTI4In0%3D&limit=25&updated_after=2025-06-18T00%3A00%3A00.000Z");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/ats/email-templates?cursor=eyJsYXN0Q3JlYXRlZEF0IjoiMjAyNS0wNi0xOFQwOToxNzoyMi40NDFaIiwibGFzdElkIjoiMWVhOTlmMzYtZWEzYy00N2QyLWI3NDAtNmFkNTM2ZjU4OTI4In0%3D&limit=25&updated_after=2025-06-18T00%3A00%3A00.000Z")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```